Uppdatera Java

Tråden skapades och har fått 1 svar. Det senaste inlägget skrevs .
1
  • Medlem
  • Stockholm
  • 2006-04-06 21:53

Går för tillfället en kurs i java och har nyligen börjat bygga GUIs via swing. Skriver koden i xCode och det fungerar precis som det skall. När jag dock skall köra mina kompilerade program så tar det mer eller mindre stopp. I XCode fungerar det perfekt att kompilera och köra programmet men när jag försöker starta jar-filen så blir det problem. Jaha, tänkte jag och testade att köra programmet ifrån terminalen och då fick jag felmeddelandet att jag borde använda GetContentPane(). Men denna skall man ju inte behöva använda längre. Tog en titt i java -version i terminalen och märkte att jag där körde 1.4.2 trots att jag hade installerat en nyare version ifrån apples site och det hela fungerar väldigt bra i xCode. Är det någon omlänkning jag skall göra så att jag kör med den senaste java-versionen även när jag vill öppna jar-filer eller hur skall jag göra?

Tacksam för svar. Vill ju gärna kunna köra programmen ifrån jar-filerna också och inte behöva kompilera och köra hela tiden. Jag vet att XCode kanske inte är det bästa programmet för utveckling men jag är rätt förtjust i det i alla fall så inga tips om att använda det eller det programmet/miljön istället tack.

  • Medlem
  • Sollentuna
  • 2006-04-07 10:02

Nej, när du instalerade 5.0 så ändrades inte default - den är kvar på 1.4. Läser man readme om 5.0 så framgår detta. Det står också liknande på 99mac - sök och du skall leta...

1
Bevaka tråden